# Get Batch Product Import Status Returns the current status of the batch product import job. Poll after POST /api/v3/imports/products. Endpoint: GET /api/v3/imports/products/status Version: 3.1.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Response 200 fields (application/json): - `status` (object) - `status.success` (boolean) Example: true - `status.message` (string) Example: "The import has completed." - `status.total_rows` (integer) Example: 1 - `status.processed` (integer) Example: 1 - `status.created_count` (integer) Example: 1 - `status.failed_count` (integer) - `status.import` (object) - `status.import.batch_metadata_id` (integer) - `status.import.failed_download_url` (string,null) ## Response 202 fields (application/json): - `status` (object) - `status.success` (boolean) Example: true - `status.message` (string) Example: "The import is still processing." - `status.total_rows` (integer) Example: 120 - `status.processed` (integer) Example: 40 - `status.created_count` (integer) Example: 38 - `status.failed_count` (integer) Example: 2 ## Response 401 fields (application/json): - `errors` (array) Example: [{"error":"Authentication Error"}] - `errors.error` (string) ## Response 404 fields (application/json): - `errors` (array) Example: [{"error":"Resource not found"}] - `errors.error` (string) ## Response 422 fields (application/json): - `status` (object) - `status.success` (boolean) - `status.message` (string) Example: "The import failed." - `status.import` (object) - `status.import.batch_metadata_id` (integer) Example: 123 - `status.import.created_count` (integer) Example: 38 - `status.import.failed_count` (integer) Example: 2 - `status.import.failed_download_url` (string,null) - `status.errors` (array) Error details, when available (may be empty or absent). Example: [] - `status.total_rows` (integer) Example: 40 - `status.processed` (integer) Example: 40 ## Response 500 fields (application/json): - `status` (object) - `status.success` (boolean) - `status.status` (string) stuck: message "The import appears to be stuck. Please retry.". Absent (message "Error checking status") when the status check itself fails. Enum: "stuck", "unknown" - `status.message` (string) May simply be "Job status not found. The job may have expired or failed." when there is no import job to report on. Example: "Job status not found. The job may have expired or failed." - `status.total_rows` (integer) - `status.processed` (integer) - `status.created_count` (integer) - `status.failed_count` (integer)